### Signal

# Ide LspClient::load-configuration

#### Declaration

    GVariant*
    load_configuration (
      IdeLspClient* self,
      gpointer user_data
    )

#### Description

Loads the configuration object to reply to a workspace/configuration request from the peer.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.36

#### Return value

Returns: | `GVariant`
| A `GVariant` containing the result or `NULL` to proceed to the next signal handler.
| The caller of the function takes ownership of the data, and is responsible for freeing it.